All endpoints
Reddit Search Subreddits

Reddit Search Subreddits API

Search subreddits by keyword. Returns each community's name, ID, title, member count, description, creation date, type, language and icon, 25 per page.

Price: $0.003 per page
Free tier: 50 requests/month
Endpoint
GET /v1/reddit/subreddits

Parameters

query *
Search keyword (max 500 characters)
pages
Number of pages to fetch, 1-10 (default: 1). Each page returns up to 25 subreddits.

Response fields

subreddits
Matching subreddits
name
Subreddit name
subreddit_id
Subreddit ID
title
Subreddit title
description
Short public description
url
Link to the subreddit
subscribers
Number of members
created_at
Creation date and time (UTC)
nsfw
Whether the subreddit is marked NSFW
type
Community type, e.g. public or restricted
icon
Community icon URL, or empty string
language
Language code, e.g. en
query
The search keyword
pages
Number of pages returned
count
Number of subreddits returned

Example Request

curl "https://apidirect.io/v1/reddit/subreddits?query=python&pages=1" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "subreddits": [
    {
      "name": "Python",
      "subreddit_id": "2qh0y",
      "title": "Python",
      "description": "The largest Python community for Reddit! Stay up to date with the latest news, packages, and meta information relating to the Python programming language. \n-...",
      "url": "https://www.reddit.com/r/Python/",
      "subscribers": 1518060,
      "created_at": "2008-01-25 03:14:39",
      "nsfw": false,
      "type": "public",
      "icon": "https://styles.redditmedia.com/t5_2qh0y/styles/communityIcon_lctik80p96tg1.png?width=256&s=6d91fcc92d9f08c5ba30096d43a555ddd0edbc7d",
      "language": "en"
    }
  ],
  "query": "python",
  "pages": 1,
  "count": 25
}

Frequently asked questions

Are NSFW subreddits included?

No. Reddit leaves NSFW communities out of search. You can still look one up by name with Subreddit Details.

How many results can a search return?

Reddit returns up to about 140 communities per keyword.

How does pricing work?

You only pay for successful requests. The Reddit Search Subreddits API costs $0.003 per page. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.

Do I need a credit card to start?

No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.

Are there rate limits?

Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.

Start using the Reddit Search Subreddits API

Get your API key and start making requests in minutes. 50 requests/month free every month.

Get API Key